<?php

namespace STM\User;

use STM\Utils\Classes;
use \Exception;

/**
 * Test class for UserGroup.
 * Generated by PHPUnit on 2011-08-14 at 10:25:11.
 * @group user
 */
class UserGroupTest extends \PHPUnit_Framework_TestCase {

    private $bad_values;
    private $valid_values;

    protected function setUp() {
        $this->valid_values = array('A', 'M', 'C', 'R');
        $this->bad_values = array('dsadas', null, false, array(), 235, new Exception());
    }

    protected function tearDown() {
        
    }

    public function testGet_id_group() {
        $this->assertTrue(UserGroup::getIdGroup(UserGroup::ADMIN) == 'A');
        $this->assertTrue(UserGroup::getIdGroup('Admin') == 'A');
        
        foreach ($this->bad_values as $value) {
            $this->assertFalse(UserGroup::getIdGroup($value));
        }        
    }

    public function testgetGroupname() {
        foreach ($this->valid_values as $value) {            
            $this->assertTrue(Classes::isClassConstant('\STM\User\UserGroup', UserGroup::getGroupname($value)));
        }
        
        foreach ($this->bad_values as $value) {
            $this->assertTrue(UserGroup::getGroupname($value) == 'Unexisting group');
        }    
    }

}

?>
